Bug 999937 - lzma partially obsolete -> revisit packaging
lzma partially obsolete -> revisit packaging
Product: Fedora
Classification: Fedora
Component: lzma (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
Depends On: 1039258
  Show dependency treegraph
Reported: 2013-08-22 07:48 EDT by Michael Schwendt
Modified: 2015-01-11 04:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-01-11 04:48:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed spec file changes (1.89 KB, patch)
2013-08-22 07:48 EDT, Michael Schwendt
no flags Details | Diff

  None (edit)
Description Michael Schwendt 2013-08-22 07:48:29 EDT
Created attachment 789165 [details]
proposed spec file changes

The situation is as follows:

* lzma < 5.1.2 is obsoleted by xz-lzma-compat (from src.rpm xz).

* Only lzma-libs and lzma-devel remain. zlma-devel and -libs are used by "scotch".

  # repoquery --whatrequires lzma-libs

* A few packages require "lzma". Since it's replaced, xz-lzma-compat will be used instead, however.

  # repoquery --whatrequires lzma

* LZMA Utils 4.32.7 was released on 2008-07-30. Due to the Obsoletes < 5.1.2, it cannot become installable as package "lzma" unless there were a release >= 5.1.2.

* XZ Utils are the successor to LZMA Utils. 


It doesn't make much sense to build the base "lzma" package anymore.
Comment 1 Fedora End Of Life 2015-01-09 14:33:10 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.